%{!?__id_u: %define __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Summary:	Fetch mail out of your Hotmail or MSN account
Name:		gotmail
Epoch:		1
Version:	0.9.0
Release:	2
License:	GPLv2+
Group:		Applications/Internet
URL:		http://sourceforge.net/projects/gotmail/
BuildArch:	noarch
Source:		http://downloads.sf.net/gotmail/gotmail-%{version}.tar.bz2
Patch0:		gotmail-0.9.0-form-action.patch
Requires:	curl >= 7.10.0, perl(URI)
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This is Gotmail, a perl script to fetch mail out of your Hotmail
or MSN account. This is especially useful if you want to move from
Hotmail into one of the other free mail services - one command can
do it all. Gotmail also supports getting any new mail only from your
Hotmail or MSN account - perfect for using a Hotmail account as a
redirect address into another account.

%prep
%setup -q
%patch0 -p0

%build
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install \
	DESTDIR=%{buildroot} \
	MANDIR=%{_mandir} \
	INSTALL="%{__install} -p"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/gotmail
%{_mandir}/man1/gotmail.1*
%doc COPYING ChangeLog README sample.gotmailrc gotmail4evolution

%changelog
* Wed Aug 22 2007 Paul Howarth <paul@city-fan.org> 1:0.9.0-2
- Apply patch for "Page doesn't contain any form action field!" problem
  (http://sourceforge.net/tracker/?func=detail&atid=615989&aid=1777163&group_id=96810)
- Clarify license as GPL v2 or later

* Wed Apr 11 2007 Paul Howarth <paul@city-fan.org> 1:0.9.0-1
- New upstream version 0.9.0 (repackaged tarball due to upstream
  permissions cock-up)
- Update source URL dl.sf.net -> downloads.sf.net
- Use "install -p" to preserve timestamps
- Package gotmail4evolution (as %%doc)
- Require perl(URI) rather than perl-URI
- Drop explicit perl dependency
- NEWS no longer included in upstream distribution

* Mon Apr 24 2006 Paul Howarth <paul@city-fan.org> 1:0.8.9-1
- New upstream version 0.8.9
- Define %%{__id_u} in a more portable way

* Mon Feb 27 2006 Paul Howarth <paul@city-fan.org> 1:0.8.8-1
- New upstream version 0.8.8
- Bump curl requirement to >= 7.10.0 due to use of -k option

* Tue Dec 13 2005 Paul Howarth <paul@city-fan.org> 1:0.8.7.1-1
- New upstream version 0.8.7.1
- Use bzipped tarball instead of gzipped one
- Remove buildroot unconditionally in %%clean and %%install
- %%install now simpler as upstream install directories are now more sane

* Tue Aug 23 2005 Paul Howarth <paul@city-fan.org> 1:0.8.6-1
- New upstream version 0.8.6
- Patches now included upstream

* Mon Aug 22 2005 Paul Howarth <paul@city-fan.org> 1:0.8.5-1
- New upstream version 0.8.5
- Use "make install"
- Add %%{__id_u} definition if necessary
- Update patches to apply against 0.8.5

* Mon Jun 20 2005 Paul Howarth <paul@city-fan.org> 1:0.8.4-1
- New upstream version 0.8.4
- Fix summary patch
- Add NEWS

* Mon Jun 13 2005 Paul Howarth <paul@city-fan.org> 1:0.8.3-1
- New upstream version 0.8.3
- Remove hotmail login patch, now included upstream
- Unpack tarball quietly

* Sat May 21 2005 Paul Howarth <paul@city-fan.org> 1:0.8.2-2
- Include patch to fix updated hotmail login issue; see:
  http://sourceforge.net/tracker/index.php?func=detail&aid=1205355&group_id=96810&atid=615991
- Fix up cleantempfiles patch to work with new patch

* Tue Nov 23 2004 Paul Howarth <paul@city-fan.org> 1:0.8.2-1
- Update to 0.8.2
- Tidy up spec file
- Bumped epoch to 1, same as "official" gotmail package
- Require perl-URI

* Tue Apr 20 2004 Paul Howarth <paul@city-fan.org> 0.8.1-2
- Incorporate Jens Madsen's patches to clean up temporary files
  on exit and to provide a --summary option. See:
  http://mail.gnu.org/archive/html/gotmail-list/2004-04/msg00014.html

* Mon Dec 22 2003 Paul Howarth <paul@city-fan.org> 0.8.1-1
- Upgrade to 0.8.1

* Wed Jul 30 2003 Paul Howarth <paul@city-fan.org> 0.7.10-1
- Upgrade to 0.7.10, needed for curl >= 7.10.5

* Mon Mar 24 2003 Paul Howarth <paul@city-fan.org> 0.7.9-1
- Initial release
